| QxOrm 1.5.0 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes
qx::IxClass Class Reference
QxRegister : QxOrm library register context used by introspection engine (class, function, property...)

qx::IxClass : common interface for all classes registered into QxOrm context More...

`#include <IxClass.h>`

Inheritance diagram for qx::IxClass:

List of all members.

## Public Member Functions
QString | getKey () const
QString | getName () const
const char * | getNamePtr () const
QString | getDescription () const
long | getVersion () const
qx::dao::strategy::inheritance | getDaoStrategy () const
qx::QxSoftDelete | getSoftDelete () const
bool | isFinalClass () const
bool | isDaoReadOnly () const
bool | isRegistered () const
IxDataMemberX * | getDataMemberX () const
IxFunctionX * | getFctMemberX () const
IxFunctionX * | getFctStaticX () const
std::shared_ptr< QxCollection < QString, IxSqlRelation * > > | getSqlRelationX ()
std::shared_ptr< QxCollection < QString, IxDataMember * > > | getSqlDataMemberX ()
void | setKey (const QString &s)
void | setName (const QString &s)
void | setDescription (const QString &s)
void | setDaoStrategy (qx::dao::strategy::inheritance e)
void | setSoftDelete (const qx::QxSoftDelete &o)
void | setDaoReadOnly (bool b)
void | setVersion (long l)
virtual bool | isAbstract () const =0
virtual bool | implementIxPersistable () const =0
virtual IxClass * | getBaseClass () const =0
virtual IxValidatorX * | getAllValidator ()
IxDataMember * | getId (bool bRecursive=false) const
bool | isKindOf (const QString &sClassName) const
QString | dumpClass () const
virtual const std::type_info & | typeInfo () const =0
bool | isKindOf (const std::type_info &typeInfo) const
## Protected Member Functions
| IxClass ()
virtual | ~IxClass ()=0
void | updateClassX ()
void | setRegistered (bool b)
void | setFinalClass (bool b)
void | setDataMemberX (IxDataMemberX *p)
void | setFctMemberX (IxFunctionX *p)
void | setFctStaticX (IxFunctionX *p)
IxValidatorX_ptr & | getAllValidatorRef ()
## Private Attributes
std::unique_ptr< IxClassImpl > | m_pImpl
| Private implementation idiom.

## Detailed Description

qx::IxClass : common interface for all classes registered into QxOrm context

Definition at line 68 of file IxClass.h.

## Constructor & Destructor Documentation

qx::IxClass::IxClass | ( |  | ) | `[protected]`

virtual qx::IxClass::~IxClass | ( |  | ) | `[protected, pure virtual]`

## Member Function Documentation

QString qx::IxClass::dumpClass | ( |  | ) | const

virtual IxValidatorX* qx::IxClass::getAllValidator | ( |  | ) | `[virtual]`

Reimplemented in qx::QxClass< T >.

IxValidatorX_ptr& qx::IxClass::getAllValidatorRef | ( |  | ) | `[protected]`

virtual IxClass* qx::IxClass::getBaseClass | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxClass< T >.

qx::dao::strategy::inheritance qx::IxClass::getDaoStrategy | ( |  | ) | const

IxDataMemberX* qx::IxClass::getDataMemberX | ( |  | ) | const

QString qx::IxClass::getDescription | ( |  | ) | const

IxFunctionX* qx::IxClass::getFctMemberX | ( |  | ) | const

IxFunctionX* qx::IxClass::getFctStaticX | ( |  | ) | const

IxDataMember* qx::IxClass::getId | ( | bool | bRecursive = `false` | ) | const

QString qx::IxClass::getKey | ( |  | ) | const

QString qx::IxClass::getName | ( |  | ) | const

const char* qx::IxClass::getNamePtr | ( |  | ) | const

qx::QxSoftDelete qx::IxClass::getSoftDelete | ( |  | ) | const

std::shared_ptr<QxCollection<QString, IxDataMember *> > qx::IxClass::getSqlDataMemberX | ( |  | ) |

std::shared_ptr<QxCollection<QString, IxSqlRelation *> > qx::IxClass::getSqlRelationX | ( |  | ) |

long qx::IxClass::getVersion | ( |  | ) | const

virtual bool qx::IxClass::implementIxPersistable | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxClass< T >.

virtual bool qx::IxClass::isAbstract | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxClass< T >.

bool qx::IxClass::isDaoReadOnly | ( |  | ) | const

bool qx::IxClass::isFinalClass | ( |  | ) | const

bool qx::IxClass::isKindOf | ( | const QString & | sClassName | ) | const

bool qx::IxClass::isKindOf | ( | const std::type_info & | typeInfo | ) | const

bool qx::IxClass::isRegistered | ( |  | ) | const

void qx::IxClass::setDaoReadOnly | ( | bool | b | ) |

void qx::IxClass::setDaoStrategy | ( | qx::dao::strategy::inheritance | e | ) |

void qx::IxClass::setDataMemberX | ( | IxDataMemberX * | p | ) | `[protected]`

void qx::IxClass::setDescription | ( | const QString & | s | ) |

void qx::IxClass::setFctMemberX | ( | IxFunctionX * | p | ) | `[protected]`

void qx::IxClass::setFctStaticX | ( | IxFunctionX * | p | ) | `[protected]`

void qx::IxClass::setFinalClass | ( | bool | b | ) | `[protected]`

void qx::IxClass::setKey | ( | const QString & | s | ) |

void qx::IxClass::setName | ( | const QString & | s | ) |

void qx::IxClass::setRegistered | ( | bool | b | ) | `[protected]`

void qx::IxClass::setSoftDelete | ( | const qx::QxSoftDelete & | o | ) |

void qx::IxClass::setVersion | ( | long | l | ) |

virtual const std::type_info& qx::IxClass::typeInfo | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxClass< T >.

void qx::IxClass::updateClassX | ( |  | ) | `[protected]`

## Member Data Documentation

std::unique_ptr<IxClassImpl> qx::IxClass::m_pImpl`[private]`

Private implementation idiom.

Definition at line 73 of file IxClass.h.

The documentation for this class was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxRegister/IxClass.h